'use strict';

let wizard = Symbol.for('Dumbledore');

console.log(wizard);

console.log(Symbol.keyFor(wizard));

let wizard2 = Symbol.for('Dumbledore');

console.log(wizard === wizard2);

let confidant = Symbol.for('Confidant');

let potter = {
  [confidant]: 'Hagrid',
  firstName: 'Harry',
  toString() {
    return `${this.firstName} trusts ${this[confidant]}`
  }
};

console.log(potter.toString());

console.log('Properties:');

for(let prop in potter) {
  console.log(prop);
}

console.log(Object.getOwnPropertySymbols(potter));