'use strict';

let greet1 = function() {
  let self = this;
  return function() {
    console.log(self === this);
  }
}

let f1 = greet1.call('hello');
f1();

let greet2 = function() {
  let self = this;
  
  return () => {
    console.log(self === this);
  }
}

let f2 = greet2.call('hello');
f2();
