'use strict';

class Person {
  constructor(first, last) {
    this.first = first;
    this.last = last;
    Person.count++;
  }
  
  static countValue() {
    return Person.count;
  }
  toString() {
    return `${this.first} ${this.last}`
  }
}
Person.count = 0;

class CoolPerson extends Person {
  //constructor created
}

let sam = new CoolPerson('Sam', 'Johnson');
console.log(sam.toString());

